QuantLib: FDEuropeanEngine< Scheme > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
FDEuropeanEngine< Scheme > Class Template Reference
Pricing engines » Vanilla option engines

Pricing engine for European options using finite-differences. More...

`#include <ql/pricingengines/vanilla/fdeuropeanengine.hpp>`

Inheritance diagram for FDEuropeanEngine< Scheme >:
[legend]

## Public Member Functions
| FDEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)
Public Member Functions inherited from FDVanillaEngine
| FDVanillaEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size gridPoints, bool timeDependent=false)
const Array & | grid () const

## Additional Inherited Members
Protected Types inherited from FDVanillaEngine
typedef BoundaryCondition< TridiagonalOperator > | bc_type
Protected Member Functions inherited from FDVanillaEngine
virtual void | setupArguments (const PricingEngine::arguments *) const
virtual void | setGridLimits () const
virtual void | setGridLimits (Real, Time) const
virtual void | initializeInitialCondition () const
virtual void | initializeBoundaryConditions () const
virtual void | initializeOperator () const
virtual Time | getResidualTime () const
void | ensureStrikeInGrid () const
Protected Attributes inherited from FDVanillaEngine
boost::shared_ptr< GeneralizedBlackScholesProcess > | process_
Size | timeSteps_
Size | gridPoints_
bool | timeDependent_
Date | exerciseDate_
boost::shared_ptr< Payoff > | payoff_
TridiagonalOperator | finiteDifferenceOperator_
SampledCurve | intrinsicValues_
std::vector< boost::shared_ptr< bc_type > > | BCs_
Real | sMin_
Real | center_
Real | sMax_

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDEuropeanEngine< Scheme >

Pricing engine for European options using finite-differences.

Tests:
  the correctness of the returned value is tested by checking it against analytic results.

Examples:
  EquityOption.cpp.